public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/x11-ssh-askpass/
Date: Sat,  2 Nov 2019 08:52:31 +0000 (UTC)	[thread overview]
Message-ID: <1572684744.2fbd576656faf6c2b13a82c210ee391ea0958294.mgorny@gentoo> (raw)

commit:     2fbd576656faf6c2b13a82c210ee391ea0958294
Author:     Vladimir Pavljuchenkov (SpiderX) <spiderx <AT> spiderx <DOT> dp <DOT> ua>
AuthorDate: Thu Oct 31 22:30:18 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov  2 08:52:24 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2fbd5766

net-misc/x11-ssh-askpass: EAPI 7, new maintainer

Bug: https://bugs.gentoo.org/697224
Package-Manager: Portage-2.3.76, Repoman-2.3.16
Signed-off-by: Vladimir Pavljuchenkov <spiderx <AT> spiderx.dp.ua>
Closes: https://github.com/gentoo/gentoo/pull/13512
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-misc/x11-ssh-askpass/metadata.xml              | 17 ++++++++-
 .../x11-ssh-askpass-1.2.4.1-r2.ebuild              | 42 ++++++++++++++++++++++
 2 files changed, 58 insertions(+), 1 deletion(-)

diff --git a/net-misc/x11-ssh-askpass/metadata.xml b/net-misc/x11-ssh-askpass/metadata.xml
index 6f49eba8f49..344661c689f 100644
--- a/net-misc/x11-ssh-askpass/metadata.xml
+++ b/net-misc/x11-ssh-askpass/metadata.xml
@@ -1,5 +1,20 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>spiderx@spiderx.dp.ua</email>
+		<name>Vladimir Pavljuchenkov</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<longdescription lang="en">
+	This is an X11-based passphrase dialog for use with OpenSSH.
+	These dialogs are intended to be called from the ssh-add program
+	and not invoked directly.
+	</longdescription>
+	<upstream>
+		<remote-id type="github">sigmavirus24/x11-ssh-askpass</remote-id>
+	</upstream>
 </pkgmetadata>

diff --git a/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild b/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild
new file mode 100644
index 00000000000..65224da4bf5
--- /dev/null
+++ b/net-misc/x11-ssh-askpass/x11-ssh-askpass-1.2.4.1-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="X11-based passphrase dialog for use with OpenSSH"
+HOMEPAGE="http://www.liquidmeme.net/software/x11-ssh-askpass
+	https://github.com/sigmavirus24/x11-ssh-askpass"
+SRC_URI="http://www.liquidmeme.net/software/x11-ssh-askpass/${P}.tar.gz"
+
+LICENSE="HPND"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="virtual/ssh
+	x11-libs/libXt
+	x11-libs/libX11
+	x11-libs/libSM
+	x11-libs/libICE"
+DEPEND="${RDEPEND}"
+BDEPEND="x11-misc/imake
+	app-text/rman"
+
+src_configure() {
+	econf --libexecdir=/usr/$(get_libdir)/misc \
+		--disable-installing-app-defaults
+	xmkmf || die "xmkmf failed"
+}
+
+src_compile() {
+	emake includes
+	emake CC="$(tc-getCC)" CDEBUGFLAGS="${CFLAGS}"
+}
+
+src_install() {
+	default
+	newman x11-ssh-askpass.man x11-ssh-askpass.1
+	dosym ../"$(get_libdir)"/misc/x11-ssh-askpass /usr/bin/x11-ssh-askpass
+}


             reply	other threads:[~2019-11-02  8:52 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-11-02  8:52 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-11-03  2:02 [gentoo-commits] repo/gentoo:master commit in: net-misc/x11-ssh-askpass/ Yixun Lan
2021-04-15  9:51 Joonas Niilola
2021-04-15  6:39 Joonas Niilola
2020-10-20  8:22 Sam James
2020-06-18 12:08 Joonas Niilola
2020-06-18 12:08 Joonas Niilola
2020-06-05  7:21 Mart Raudsepp
2019-12-28 22:11 Georgy Yakovlev
2019-11-11  2:38 Aaron Bauman
2019-11-11  2:38 Aaron Bauman
2016-02-01  1:35 Doug Goldstein

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1572684744.2fbd576656faf6c2b13a82c210ee391ea0958294.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox